Bug 2543 - filter actions in actionsrc not updated upon account renaming
Summary: filter actions in actionsrc not updated upon account renaming
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: UI/Actions (show other bugs)
Version: 3.8.0
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2011-11-15 02:01 CET by Ricardo Mones
Modified: 2011-11-24 21:06 CET (History)
0 users

See Also:


Attachments
Backtrace of crash (3.87 KB, text/x-log)
2011-11-15 02:01 CET, Ricardo Mones
no flags Details
Tentative patch for fixing the observed crash. (857 bytes, patch)
2011-11-17 01:50 CET, Ricardo Mones
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ricardo Mones 2011-11-15 02:01:53 CET
Created attachment 1039 [details]
Backtrace of crash

When some action contains a filter action involving, for example, a move to some account (an IMAP one in my case), and the account gets renamed, the filter action still references the previous (now invalid) account, causing claws-mail to crash. Backtrace attached.
Comment 1 Ricardo Mones 2011-11-17 01:50:33 CET
Created attachment 1040 [details]
Tentative patch for fixing the observed crash.

On a second visit to this seems the bug causing the crash is not because of a bad account name, it crashes equally with a good account name.

Problem arises when the action is run and the message view is not shown, which in turn causes the mimeview not to have any part selected. The attached patch seems to fix it, but not fixes the bug itself (renaming of the account in the action).
Comment 2 Colin Leroy 2011-11-17 09:10:24 CET
Yeah, seems good. Probably related to Pawel's work in the mimeview tree :)
Comment 3 users 2011-11-17 17:06:35 CET
Changes related to this bug have been committed.
Please check latest CVS and update the bug accordingly.
You can also get the patch from:
http://www.colino.net/claws-mail/

2011-11-17 [pawel]	3.7.10cvs86

	* src/mimeview.c
		Fix crasher reported in bug #2543
Comment 4 users 2011-11-24 17:51:35 CET
Changes related to this bug have been committed.
Please check latest CVS and update the bug accordingly.
You can also get the patch from:
http://www.colino.net/claws-mail/

2011-11-24 [pawel]	3.7.10cvs102

	* src/account.c
	* src/filtering.c
	* src/filtering.h
	* src/imap_gtk.c
	* src/mh_gtk.c
	* src/prefs_actions.c
	* src/prefs_actions.h
		Implement actions updating on folder/account rename
		This fixes bug #2543 'filter actions in actionsrc not
		updated upon account renaming'
Comment 5 Ricardo Mones 2011-11-24 21:06:24 CET
It's fixed in cvs103, thanks! :)